'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

/**
 * Helper function to ensure that the array buffer is converted properly from a uint8array
 * Source: https://stackoverflow.com/questions/37228285/uint8array-to-arraybuffer
 * @param {Uint8Array} array Uint8array that's being converted into an array buffer
 * @returns {ArrayBuffer} An array buffer that's necessary to construct a data view
 */
function UInt8ArrayToBuffer(array) {
  return array.buffer.slice(array.byteOffset, array.byteLength + array.byteOffset);
}

exports.UInt8ArrayToBuffer = UInt8ArrayToBuffer;
//# sourceMappingURL=helpers.cjs.map
