import { UmiError } from '@metaplex-foundation/umi';
/** @category Errors */
export declare class DataViewSerializerError extends UmiError {
    readonly name: string;
    constructor(message: string, cause?: Error);
}
export declare class OperationNotSupportedError extends DataViewSerializerError {
    readonly name: string;
    constructor(operation: string);
}
export declare class DeserializingEmptyBufferError extends DataViewSerializerError {
    readonly name: string;
    constructor(serializer: string);
}
export declare class NotEnoughBytesError extends DataViewSerializerError {
    readonly name: string;
    constructor(serializer: string, expected: number, actual: number);
}
export declare class NumberOutOfRangeError extends DataViewSerializerError {
    readonly name: string;
    constructor(serializer: string, min: number | bigint, max: number | bigint, actual: number | bigint);
}
